use std::net::SocketAddr;

use axum::{Router, routing::get};

async fn index() -> &'static str {
    "hi world"
}

#[tokio::main]
async fn main() {
    let app = Router::new().route("/", get(index));

    let addr = SocketAddr::from(([0, 0, 0, 0], 8997));
    axum::Server::bind(&addr)
        .serve(app.into_make_service())
        .await
        .unwrap();
}
